<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Aug 20, 2021
 */

require_once(__DIR__ . '/../Acronis.php');
require_once(__DIR__ . '/../../AcronisReply.php');

/**
 * @package InterWorx
 * @subpackage
 */
class Exception_Acronis_CurlError extends Exception_Acronis
{
    private $_curlErrorNumber;

    private $_errors = array(
        6 => AcronisReply::ERROR_CURL_INVALID_URL
    );

    /**
     * @param string $errorMessage
     * @param mixed  $errorCode
     */
    public function __construct($errorMessage, $errorCode)
    {
        $this->_curlErrorNumber = $errorCode;
        parent::__construct($errorMessage . ". Curl error code: $errorCode", $errorCode);
    }

    /**
     * @return integer
     */
    public function getErrorCode()
    {
        $errorCode = $this->_errors[$this->_curlErrorNumber];

        if (is_null($errorCode)) {
            $errorCode = AcronisReply::ERROR_CURL;
        }

        return $errorCode;
    }
}
