<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Aug 12, 2021
 */

/**
 * @package InterWorx
 * @subpackage
 */
class AcronisUtilTest extends IWorx_Framework_TestCase
{

    /**
     * Test toBytes
     */
    public function testToBytesShoulReturnSame()
    {
        $expected = 10;
        $actual = Model_AcronisUtil::toBytes('10 B');
        $this->assertSame($expected, $actual, 'expects 10 B to equal 10 bytes');
    }

    /**
     * Test toBytes
     */
    public function testToBytesShouldConvertMB()
    {
        $expected = 10485760;
        $actual = Model_AcronisUtil::toBytes('10 MB');
        $this->assertSame($expected, $actual, 'expects 10 MB to equal 10485760 bytes');
    }

    /**
     * Test toBytes
     */
    public function testToBytesShouldConvertGB()
    {
        $expected = 1073741824;
        $actual = Model_AcronisUtil::toBytes('1 GB');
        $this->assertSame($expected, $actual, 'expects 1 GB to equal 1073741824 bytes');
    }

    /**
     * Test toBytes
     */
    public function testToBytesShouldConvertTB()
    {
        $expected = 4398046511104;
        $actual = Model_AcronisUtil::toBytes('4 TB');
        $this->assertSame($expected, $actual, 'expects 4 TB to equal 4398046511104 bytes');
    }

    /**
     * Test toBytes
     */
    public function testToBytesShouldThrowException()
    {
        $this->expectException(Exception_Acronis_AcronisUtil::class);
        Model_AcronisUtil::toBytes('4 TBdsad');
    }
}
